Quassel IRC - Bug #524

Crash while switching channel
02/07/2009 06:23 PM - kitterma

Status: Closed Start date: 02/07/2009
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Version: 0.5.2 0S: Any
Description

Kubuntu package with Feb 06 git snapshot. Using the client, | was switching channels when it crashed (just after I'd clicked on a new
channel). The odd thing about this situation was that the client was not connected to the core, but hadn't noticed yet. I'd just
resumed from suspend and the network was coming up. Crash log attached.

Related issues:
Is duplicate of Quassel IRC - Bug #566: Segfault on network disconnect Closed 02/18/2009

History

#1 - 02/07/2009 06:45 PM - EgS

ThIS BR is Iackmg debug symbols. But from whats there it looks very similar to the issue, tha was fixed in:

#2 - 04/02/2009 12:57 PM - Sputnick

- Status changed from New to Confirmed
- Priority changed from Normal to High
- Version changed from 0.3.1+ to 0.3.0.x

- OS set to Any

Quite probably the same issue as in #566, adding yet another way to trigger it, it seems.

#3 - 03/04/2010 08:38 PM - johu

- Status changed from Confirmed to Feedback

please give feedback, if this is resolved with quassel 0.5.2 or higher

#4 - 08/04/2010 09:38 PM - johu
- Status changed from Feedback to Closed
- Version changed from 0.3.0.x to 0.5.2

No feedback was given within 5 months

Files

Quassel-Crash-20090207-1031.log 7.53 KB 02/07/2009 kitterma
http://git.quassel-irc.org/?p=quassel.git;a=commit;h=46d75f41de7c1aaee605c096da28d4b0d8abf138
https://wiki.quassel-irc.org/issues/566
